%define module	django-dpaste

Name:		python-%{module}
Version:	0.2.4
Release:	%mkrel 12
Summary:	Dpaste is a code paste-bin application using Django
# License is BSD with advertising
License:	BSD
Group:		Development/Python
URL:		https://code.google.com/p/django-paste/
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

Requires:	pythonegg(2)(django-mptt)
Requires:	pythonegg(2)(pygments)

%description
Originally inspired by dpaste.com this application adds the ability to:

See the differences between snippets
A history of snippets as a tree
See your latest 25 snippets (admin setting)
A huge bunch of syntax highlighters (lexers)
User defined settings to change the font-family as well as font-sizes
Nicer colors
Multilangual interface

%prep
%setup -q -n %{module}-%{version}
# the following line is to account for a build problem thats outside of my control
# it will be fixed upstream very soon, but I don't see it as a reason to delay packaging
find $buildroot -type f \( -name .DS_Store -o -name ._\* \) -print0 |xargs -0 rm -f
rm -rf dpaste/templates/dpaste/.tmp*

%build
%py2_build

%install
%py2_install

%files
%doc CHANGELOG LICENSE MANIFEST.in README.rst
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/dpaste/*.py*
%{python2_sitelib}/dpaste/management/
%{python2_sitelib}/dpaste/templates/
%{python2_sitelib}/dpaste/templatetags/
%{python2_sitelib}/django_dpaste-%{version}-py%{python2_version}.egg-info
# locale files
%lang(en) %{python2_sitelib}/dpaste/locale/en/LC_MESSAGES/django.?o
%lang(de) %{python2_sitelib}/dpaste/locale/de/LC_MESSAGES/django.?o


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.2.4-12.mga6
+ Revision: 970487
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 0.2.4-11.mga6
+ Revision: 886880
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-10.mga5
+ Revision: 741471
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.4-9.mga5
+ Revision: 728279
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-8.mga5
+ Revision: 687975
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 0.2.4-6.mga5
+ Revision: 618034
- fix list some files explicitly to avoid listing locale files twice

* Thu Apr 24 2014 daviddavid <daviddavid> 0.2.4-5.mga5
+ Revision: 617619
- update URL
- minor cosmetic change
- remove unneeded BR on python-devel
- fix License
- use pythonegg(2) for requires

* Tue Oct 22 2013 umeabot <umeabot> 0.2.4-4.mga4
+ Revision: 543150
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.4-3.mga4
+ Revision: 498368
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 378669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.2.4-1.mga1
+ Revision: 95266
- fix Group
- fix buildrequires
- imported package python-django-dpaste


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.2.4-1.mga
- adapt to Mageia

* Fri Apr 08 2011 Dave Riches <dcr226@fedoraproject.org> - 0.2.4-3
- Added patch to build for epel5

* Thu Oct 21 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.4-2
- Fixed dependency issue

* Fri Aug 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2-1
- Packaged for Fedora 12/13/14

* Fri Nov 28 2008 martin@mahner.org
- added user-defined exipration for snippets
- added a management command to purge old snippets
- new secret ids - This is backwards incompatible!
- User can delete his snippet at any time
- added this changelog :)

